SystemOrganization addCategory: #'Limbo-Tests'!

TestCase subclass: #LimboTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Limbo-Tests'

	classInstanceVariableNames:''!

!LimboTest methodsFor: 'tests' stamp: 'MML 11/15/2012 16:07'!
testBasicCommand
	| arg limbo |
	arg := 'this is a test string', String crlf, 'with new lines'.
	self
		shouldnt: [ limbo := Limbo run: '/bin/echo' arguments: { arg } ]
		raise: LimboError.
		
	self assert: limbo notNil.
	self assert: limbo errorString isEmpty.
	self assert: limbo outString equals: arg, String lf! !

!LimboTest methodsFor: 'tests' stamp: 'MML 11/15/2012 15:22'!
testBasicShellCommand
	| arg limbo |
	arg := 'this is a test string'.
	self
		shouldnt: [ limbo := Limbo runSh: '/bin/echo ', arg  ]
		raise: LimboError.
		
	self assert: limbo errorString isEmpty.
	self assert: limbo outString equals: arg, String lf! !

!LimboTest methodsFor: 'tests' stamp: 'MML 11/15/2012 16:39'!
testShellCommandWithNewLines
	"passing a new line to /bin/sh will cause it to think that the arguments list is finished"
	| arg limbo |
	arg := 'this is a test string', String crlf, 'with new lines'.
	self
		shouldnt: [ limbo := Limbo runSh: '/bin/echo ' , arg  ]
		raise: LimboError.
		
	self deny: limbo errorString isEmpty.
	self assert: limbo errorString equals: '/bin/sh: line 1: with: command not found', String lf! !
